### Function

# Gtk DragIcon set_from_paintable

#### Declaration [src]

    void
    gtk_drag_icon_set_from_paintable (
      GdkDrag* drag,
      GdkPaintable* paintable,
      int hot_x,
      int hot_y
    )

#### Description [src]

Creates a `GtkDragIcon` that shows `paintable`, and associates it with the drag operation.

The hotspot position on the paintable is aligned with the hotspot of the cursor.

#### Parameters

`drag` | `GdkDrag*`
| A `GdkDrag`.
| The data is owned by the caller of the function.
`paintable` | `GdkPaintable*`
| A `GdkPaintable` to display.
| The data is owned by the caller of the function.
`hot_x` | `int`
| X coordinate of the hotspot.
`hot_y` | `int`
| Y coordinate of the hotspot.